module FeatureMatcher

  RSpec::Matchers.define :include_gem do |gem_name|
    match do |gemfile|
      if gem_name.include? ','
        gem_name, gem_version = gem_name.split(',').map(&:strip)
        # gem "shoestrap", "1.0.0.pre1"
        gemfile =~ /gem\s+['"]#{gem_name}['"]\s*,\s*['"]#{gem_version}['"]/m
      else
        gemfile =~ /gem\s+['"]#{gem_name}['"]/m
      end
    end

    failure_message_for_should do |gemfile|
      "#{gem_name} should be in Gemfile"
    end

    failure_message_for_should_not do |gemfile|
      "#{gem_name} should not be found in Gemfile"
    end
  end

end