require_relative '../../features_helper'

describe 'application generated with shoestrap new <name>' do
  before :all do
    generate_test_app_with_shoestrap
  end

  context '.rspec file' do
    let(:rspec_file) { application_file('.rspec') }
    it 'sets up rspec to use colored output' do
      expect(rspec_file).to match /--color/
    end

    it 'sets up rspec to use the documentation format' do
      expect(rspec_file).to match /--format d/
    end
  end

  it 'has a spec_helper' do
    expect(application_file('spec/spec_helper.rb')).not_to be_nil
  end

  it 'has a fast_spec_helper' do
    expect(application_file('spec/fast_spec_helper.rb')).not_to be_nil
  end

  it 'has a active_record_spec_helper' do
    expect(application_file('spec/active_record_spec_helper.rb')).not_to be_nil
  end

  context 'Guardfile' do
    let(:guardfile) { application_file('Guardfile') }
    it 'has a Guardfile' do
      expect(guardfile).not_to be_nil
    end

    it 'has the rspec config in it' do
      expect(guardfile).to match /guard\ :rspec\ do/
    end

    it 'has the spring config in it' do
      expect(guardfile).to match /guard\s+'spring'.+do\s*$/
    end
  end
end
