require_relative '../../features_helper'

describe 'application generated with shoestrap new <name> --css=bootstrap' do

  options = '--css=bootstrap'

  before :all do
    generate_test_app_with_shoestrap(options)
  end

  it 'has bootstrap-sass in the Gemfile' do
    expect(application_file('Gemfile', options)).to match /gem "bootstrap-sass"/
  end

  it 'runs the simple form installer with bootstrap as option' do
    expect(application_file('config/initializers/simple_form.rb', options)).not_to be_nil
    expect(application_file('config/initializers/simple_form_bootstrap.rb', options)).not_to be_nil
    expect(application_file('config/locales/simple_form.en.yml', options)).not_to be_nil
    expect(application_file('lib/templates/haml/scaffold/_form.html.haml', options)).not_to be_nil
  end
end
