require_relative '../../features_helper'

describe 'application generated with shoestrap new <name>' do
  before :all do
    generate_test_app_with_shoestrap
  end

  it 'has coffee-rails in the Gemfile' do
    expect(application_file('Gemfile')).to match /gem\ 'coffee\-rails'/
  end

  it 'has uglifier in the Gemfile' do
    expect(application_file('Gemfile')).to match /gem\ 'uglifier'/
  end

  context 'application.js.coffee' do
    it 'has the application javascript' do
      expect(application_file('app/assets/javascripts/application.js.coffee')).not_to be_nil
    end

    %w[
      jquery
      jquery_ujs
      turbolinks
    ].each do |js_requirement|
      it "has #{js_requirement} required in the application.js.coffee" do
        expect(application_file('app/assets/javascripts/application.js.coffee')).to match "#= require #{js_requirement}"
      end
    end
  end
end

