require_relative '../../features_helper'

describe 'application generated with shoestrap new <name> --css=foundation' do

  options = '--css=foundation'

  before :all do
    generate_test_app_with_shoestrap(options)
  end

  it 'has the foundation gem in the Gemfile' do
    expect(application_file('Gemfile', options)).to match /gem "zurb-foundation"/
  end

  it 'has the foundation requirement in the application.js.coffee' do
    expect(application_file('app/assets/javascripts/application.js.coffee', options)).to match /\#=\ require\ foundation/
  end

  it 'has the foundation requirement in the application.css.sass' do
    expect(application_file('app/assets/stylesheets/application.css.sass', options)).to match /@import\ foundation/
  end

  it 'has the ie8 grid requirement in the application.css.sass' do
    expect(application_file('app/assets/stylesheets/application.css.sass', options)).to match /@import\ ie8_grid/
  end

  it 'has the ie8 support' do
    expect(application_file('app/assets/stylesheets/large/_ie8_grid.css', options)).not_to be_nil
    expect(application_file('app/assets/stylesheets/large/_ie8_top_bar.css.sass', options)).not_to be_nil
    expect(application_file('app/assets/stylesheets/ie8.css.sass', options)).not_to be_nil
  end

  it 'has the foundation settings file' do
    expect(application_file('app/assets/stylesheets/_settings.css.sass', options)).not_to be_nil
  end

  it 'runs the simple form installer with foundation as option' do
    expect(application_file('config/initializers/simple_form.rb', options)).not_to be_nil
    expect(application_file('config/initializers/simple_form_foundation.rb', options)).not_to be_nil
    expect(application_file('config/locales/simple_form.en.yml', options)).not_to be_nil
    expect(application_file('lib/templates/haml/scaffold/_form.html.haml', options)).not_to be_nil
  end
end
