require_relative '../../features_helper'

describe 'application generated with shoestrap new <name>' do
  before :all do
    generate_test_app_with_shoestrap
  end

  it 'has bourbon in the Gemfile' do
    expect(application_file('Gemfile')).to match /gem "bourbon"/
  end

  it 'has the modules directory and at least one module stylesheet' do
    expect(File.directory?('app/assets/stylesheets/modules/')).not_to be_nil
    expect(application_file('app/assets/stylesheets/small/modules/_main_nav.css.sass')).not_to be_nil
  end

  it 'has the initial stylesheet partials' do
    expect(application_file('app/assets/stylesheets/small/_base.css.sass')).not_to be_nil
    expect(application_file('app/assets/stylesheets/small/_layout.css.sass')).not_to be_nil
    expect(application_file('app/assets/stylesheets/small/_states.css.sass')).not_to be_nil
    expect(application_file('app/assets/stylesheets/large/_layout.css.sass')).not_to be_nil
    expect(application_file('app/assets/stylesheets/large/_states.css.sass')).not_to be_nil
    expect(application_file('app/assets/stylesheets/_fonts.css.sass')).not_to be_nil
    expect(application_file('app/assets/stylesheets/_mixins.css.sass')).not_to be_nil
    expect(application_file('app/assets/stylesheets/_settings.css.sass')).not_to be_nil
  end

  context 'application.css.sass' do
    it 'has the application stylesheet' do
      expect(application_file('app/assets/stylesheets/application.css.sass')).not_to be_nil
    end

    %w[
      settings
      bourbon
      mixins
      small/base
      large/layout
      small/layout
      large/states
      small/states
      small/modules/*
      large/modules/*
    ].each do |stylesheet_import|
      it "has #{stylesheet_import} in the application.css.sass" do
        expect(application_file('app/assets/stylesheets/application.css.sass')).to match "@import #{stylesheet_import}"
      end
    end
  end
end
