# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'shoestrap/version'

Gem::Specification.new do |spec|
  spec.name          = "shoestrap"
  spec.version       = Shoestrap::VERSION
  spec.authors       = ["Felipe Kaufmann"]
  spec.email         = ["felipekaufmann@gmail.com"]
  spec.description   = %q{SC Bootstrapper and Generators}
  spec.summary       = %q{Rails App Bootstrapper and Generator used at Screen Concept}
  spec.homepage      = "https://github.com/screenconcept/shoestrap"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "pry-debugger"
  spec.add_development_dependency "rspec", '2.14.0.rc1'
  spec.add_development_dependency "guard"
  spec.add_development_dependency "guard-rspec"
  #spec.add_development_dependency "ruby_gntp"
  spec.add_development_dependency "terminal-notifier-guard"

  # we don't need these gems but perhaps travis resolves the gems on spawning time and prohibits
  # other gems afterwards.
  if ENV['TRAVIS'] || ENV['CI'] || ENV['CIRCLECI']
    spec.add_development_dependency "bootstrap-sass"
    spec.add_development_dependency "kuhsaft"
    spec.add_development_dependency "zurb-foundation"
    spec.add_development_dependency "modernizr-rails"
    spec.add_development_dependency "pry-rails"
    spec.add_development_dependency "rails-i18n"
    spec.add_development_dependency "devise-i18n"
    spec.add_development_dependency "devise"
    spec.add_development_dependency "i18n-missing_translations"
    spec.add_development_dependency "capybara"
    spec.add_development_dependency "capybara-webkit"
    spec.add_development_dependency "launchy"
  end

  spec.add_dependency 'rails', '~> 4.0.2'
  spec.add_dependency 'airbrake'
  spec.add_dependency 'thor'
  spec.add_dependency 'blazing', '~> 0.4.0.beta3'
end
