require_relative '../../lib/shoestrap/cli'
require_relative '../spec_helper'

module Shoestrap
  describe CLI do

    subject { CLI }

    describe '#new' do
      it 'delegates to ApplicationGenerator' do
        expect(ApplicationGenerator).to receive(:start)
        subject.start(['new', 'foo'])
      end

      it 'does not delegate to ApplicationGenerator when no application name is provided' do
        capture(:stdout, :stderr) do
          expect(ApplicationGenerator).not_to receive(:start)
          subject.start(['new'])
        end
      end

      it 'passes bootstrap & postgresql & kuhsaft as default to the ApplicationGenerator' do
        expect(ApplicationGenerator).to receive(:start).with('test_app', { 'css' => 'bootstrap', 'database' => 'postgresql', 'kuhsaft' => true })
        subject.start(['new', 'test_app'])
      end
    end
  end
end
