require_relative '../../lib/shoestrap/cms_model'
require_relative '../spec_helper'

module Shoestrap
  describe CMSModel do

    describe 'index_attributes class macro' do
      let(:dummy) { class Dummy; include Shoestrap::CMSModel; end }

      it 'is a class macro' do
        expect{ dummy.class_eval { index_attributes :title, :created_at } }.not_to raise_error
      end

      it 'allows to define attribute names that should be shown in the index table' do
        dummy.class_eval { index_attributes :title, :created_at }
        expect(dummy.instance_variable_get('@shoestrap_index_attributes')).to eq [:title, :created_at]
      end
    end

    describe 'index attributes class method' do
      let(:dummy) { class Dummy; include Shoestrap::CMSModel;  end }

      it 'returns the attribute names defined with class macro' do
        dummy.class_eval { index_attributes :title, :created_at }
        expect(dummy.index_attributes).to eq [:title, :created_at]
      end
    end
  end
end
