require 'rspec'

#
# Override Shoestrap::Shell.exec so no acutal shelling out
# happens when running tests.
#
# You can set expectations for system calls like so:
# Shell.expects(:exec).with('rails new test_app')
#
module Shoestrap
  module Shell
    extend self

    def self.exec(command)
      puts "#{command}"
    end
  end
end

#
# Use capture to silence and capture stderr/stdout
# Useful to hide logged messages etc. in test run
#
def capture(*streams)
  streams.map! { |stream| stream.to_s }
  begin
    result = StringIO.new
    streams.each { |stream| eval "$#{stream} = result" }
    yield
  ensure
    streams.each { |stream| eval("$#{stream} = #{stream.upcase}") }
  end
  result.string
end
